<?php
namespace nur\sery\wip\cli;

/**
 * Class IDynamicCommand: gestionnaire de commandes dynamiques
 */
interface IDynamicCommand {
  /**
   * retourner la liste des commandes valides, ou null si cette liste ne peut
   * pas être construite
   */
  function getCommands(): ?array;

  /**
   * retourner les définitions pour la commande spécifiée, ou null si elle n'est
   * pas valide
   */
  function getCommandDefs(string $command, bool $virtual): ?array;
}
